gtkmm: Gtk::ShortcutManager Class Reference

gtkmm 4.14.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gtk::ShortcutManager Class Reference

Interface for managing shortcuts. More...

`#include <gtkmm/shortcutmanager.h>`

Inheritance diagram for Gtk::ShortcutManager:
[legend]

## Public Member Functions
| ShortcutManager (ShortcutManager &&src) noexcept
ShortcutManager & | operator= (ShortcutManager &&src) noexcept
| ~ShortcutManager () noexcept override
GtkShortcutManager * | gobj ()
| Provides access to the underlying C GObject.
const GtkShortcutManager * | gobj () const
| Provides access to the underlying C GObject.

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions
| ShortcutManager ()
| You should derive from this class to use it.
virtual void | add_controller_vfunc (const Glib::RefPtr< ShortcutController > &controller)
virtual void | remove_controller_vfunc (const Glib::RefPtr< ShortcutController > &controller)

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::ShortcutManager > | wrap (GtkShortcutManager *object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Interface for managing shortcuts.

The Gtk::ShortcutManager interface is used to implement shortcut scopes.

This is important for Gtk::Native widgets that have their own surface, since the event controllers that are used to implement managed and global scopes are limited to the same native.

Examples of widgets implementing Gtk::ShortcutManager are Gtk::Window and Gtk::Popover.

Since gtkmm 3.98

## Constructor & Destructor Documentation

## ◆ ShortcutManager() [1/2]

Gtk::ShortcutManager::ShortcutManager | ( |  | ) |
| protected

You should derive from this class to use it.

## ◆ ShortcutManager() [2/2]

Gtk::ShortcutManager::ShortcutManager | ( | ShortcutManager && | src | ) |
| noexcept

## ◆ ~ShortcutManager()

Gtk::ShortcutManager::~ShortcutManager | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ add_controller_vfunc()

virtual void Gtk::ShortcutManager::add_controller_vfunc | ( | const Glib::RefPtr< ShortcutController > & | controller | ) |
| protectedvirtual

## ◆ add_interface()

static void Gtk::ShortcutManager::add_interface | ( | GType | gtype_implementer | ) |
| static

## ◆ get_type()

static GType Gtk::ShortcutManager::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkShortcutManager * Gtk::ShortcutManager::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkShortcutManager * Gtk::ShortcutManager::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=()

ShortcutManager & Gtk::ShortcutManager::operator= | ( | ShortcutManager && | src | ) |
| noexcept

## ◆ remove_controller_vfunc()

virtual void Gtk::ShortcutManager::remove_controller_vfunc | ( | const Glib::RefPtr< ShortcutController > & | controller | ) |
| protectedvirtual

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::ShortcutManager > wrap | ( | GtkShortcutManager * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.